#ifndef CAMMAINWINDOW_HPP
#define CAMMAINWINDOW_HPP

#ifdef HAVE_CONFIG_H
#incude <config.h>
#endif

#include <qlist.h>
#include <qmainwindow.h>
#include <qworkspace.h> 

#if HAVE_CONFIG_H
#include "config.h"
#endif

class CCamStreamMainWindow: public QMainWindow
{
   Q_OBJECT
private:
   QWorkspace *Workspace;
   
private slots:
   void CloseAll();

   // Menu options 
   void FileOpenNewViewer();
   
public:
   CCamStreamMainWindow();
   ~CCamStreamMainWindow();
};

#endif
